# Struct ethcore::trace::ExecutiveVMTracer [−] [src]

    pub struct ExecutiveVMTracer { /* fields omitted */ }

Simple VM tracer. Traces all operations.

## Methods

### `impl ExecutiveVMTracer`
[src]

#### `fn toplevel() -> Self`

Create a new top-level instance.

## Trait Implementations

### `impl VMTracer for ExecutiveVMTracer`
[src]

#### `fn trace_prepare_execute(&mut self,
pc: usize,
instruction: u8,
gas_cost: &U256)
-> bool`

Trace the preparation to execute a single instruction. @returns true if `trace_executed` should be called. Read more

#### `fn trace_executed(&mut self,
gas_used: U256,
stack_push: &[U256],
mem_diff: Option<(usize, &[u8])>,
store_diff: Option<(U256, U256)>)`

Trace the finalised execution of a single instruction.

#### `fn prepare_subtrace(&self, code: &[u8]) -> Self`

Spawn subtracer which will be used to trace deeper levels of execution.

#### `fn done_subtrace(&mut self, sub: Self)`

Spawn subtracer which will be used to trace deeper levels of execution.

#### `fn drain(self) -> Option<VMTrace>`

Consumes self and returns the VM trace.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)